lvplot {VGAM} | R Documentation

## Latent Variable Plot

### Description

Generic function for a latent variable plot (also known as an ordination diagram by ecologists).

### Usage

    lvplot(object, ...)

### Arguments

`object` | An object for a latent variable plot is meaningful.
`...` | Other arguments fed into the specific methods function of the model. They usually are graphical parameters, and sometimes they are fed into the methods function for `Coef`.

### Details

Latent variables occur in reduced-rank regression models, as well as in quadratic and additive ordination. For the latter, latent variables are often called the site scores. Latent variable plots were coined by Yee (2004), and have the latent variable as at least one of its axes.

### Value

The value returned depends specifically on the methods function invoked.

### Note

Latent variables are not really applicable to `vglm`/`vgam` models.

### Author(s)

Thomas W. Yee

### References

Yee, T. W. (2004) A new technique for maximum-likelihood canonical Gaussian ordination. Ecological Monographs, 74, 685–701.

Yee, T. W. (2006) Constrained additive ordination. Ecology, 87, 203–213.

### See Also

`lvplot.qrrvglm`, `lvplot.cao`, `latvar`, `trplot`.

### Examples

    ## Not run:
    hspider[,1:6] <- scale(hspider[,1:6])  # Standardized environmental vars
    set.seed(123)
    p1 <- cao(cbind(Pardlugu, Pardmont, Pardnigr, Pardpull, Zoraspin) ~
              WaterCon + BareSand + FallTwig +
              CoveMoss + CoveHerb + ReflLux,
              family = poissonff, data = hspider, Bestof = 3,
              df1.nl = c(Zoraspin = 2.5, 3), Crow1positive = TRUE)
    index <- 1:ncol(depvar(p1))
    lvplot(p1, lcol = index, pcol = index, y = TRUE, las = 1)

    ## End(Not run)

[Package VGAM version 1.0-4 Index]